#include "DestroyMsg.h"

namespace Passer {
namespace Control {

DestroyMsg::DestroyMsg(unsigned char networkId, Thing *thing) {
  this->networkId = networkId;
  this->thingId = thing->id;
}

DestroyMsg::~DestroyMsg() {}

unsigned char DestroyMsg::Serialize(char *buffer) {
  unsigned char ix = 0;
  buffer[ix++] = this->id;
  buffer[ix++] = this->networkId;
  buffer[ix++] = this->thingId;
  return ix;
}

} // namespace Control
} // namespace Passer
