#include "Messages.h"
namespace Passer {
namespace Control {

class DestroyMsg : public IMessage {
public:
  static const unsigned char id = 0x20;
  static const unsigned length = 3;
  unsigned char networkId;
  unsigned char thingId;

  DestroyMsg(unsigned char networkId, Thing *thing);
  virtual ~DestroyMsg();

  virtual unsigned char Serialize(char *buffer) override;
};

} // namespace Control
} // namespace Passer