#include "Messages.h"

namespace Passer {
namespace Control {

class NameMsg : public IMessage {
public:
  static const unsigned char id = 0x91;
  static const unsigned char length = 4;
  unsigned char networkId;
  unsigned char thingId;
  unsigned char nameLength;
  const char *name;

  NameMsg(const char *buffer);
  NameMsg(unsigned char networkId, Thing *thing);
  //   NameMsg(unsigned char networkId, unsigned char thingId, const char *name,
  //           unsigned char nameLength);
  virtual ~NameMsg();

  virtual unsigned char Serialize(char *buffer) override;
};

} // namespace Control
} // namespace Passer
