#pragma once

#include "Thing.h"

namespace Passer {
namespace Control {

class TemperatureSensor : public Thing {
public:
  TemperatureSensor();
  TemperatureSensor(unsigned char networkId, unsigned char thingId);

  virtual void SetTemperature(float temp);

  void SendBytes(char *buffer, unsigned char *ix) override;
  virtual void ProcessBytes(char *bytes) override;

protected:
  float temp = 0;
};

} // namespace Control
} // namespace Passer