#pragma once

#include "Participant.h"

namespace Passer {
namespace Control {

class UdpPosix : public Participant {
public:
  void Setup(int localPort, const char *remoteIpAddress, int remotePort);
  void Receive();
  bool Send(RemoteParticipant* remoteParticipant, int bufferSize);
  bool Publish(IMessage *msg);
};

} // namespace Control
} // namespace Passer