#include "NetworkIdMsg.h"

namespace Passer {
namespace Control {

NetworkIdMsg::NetworkIdMsg(const char *buffer) { this->networkId = buffer[1]; }

NetworkIdMsg::NetworkIdMsg(unsigned char networkId) {
  this->networkId = networkId;
}

NetworkIdMsg::~NetworkIdMsg() {}

unsigned char NetworkIdMsg::Serialize(char *buffer) {
  unsigned char ix = 0;
  buffer[ix++] = this->id;
  buffer[ix++] = this->networkId;
  return NetworkIdMsg::length;
}

// NetworkIdMsg NetworkIdMsg::Receive(char *buffer, unsigned char bufferSize) {
//   NetworkIdMsg msg = NetworkIdMsg(buffer);
//   return msg;
// }

} // namespace Control
} // namespace Passer