#include "Messages.h"

namespace Passer {
namespace Control {

class ThingMsg : public IMessage {
public:
  static const unsigned char id = 0x80;
  static const unsigned char length = 5;
  unsigned char networkId;
  unsigned char thingId;
  unsigned char thingType;
  unsigned char parentId;

  ThingMsg(const char *buffer);
  ThingMsg(unsigned char networkId, Thing *thing);
  //   ThingMsg(unsigned char networkId, unsigned char thingId,
  //            unsigned char thingType, unsigned char parentId);
  virtual ~ThingMsg();

  virtual unsigned char Serialize(char *buffer) override;
};

} // namespace Control
} // namespace Passer